Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface SourcesKeyboardEvents

All Known Subinterfaces:
  HasFocus

All Known Implementing Classes:
  Anchor, Audio, Button, ButtonBase, Canvas, CheckBox, CustomButton, DoubleBox, FocusPanel, FocusWidget, IntegerBox, ListBox, LongBox, MediaBase, PasswordTextBox, PushButton, RadioButton, ResetButton, RichTextArea, SimpleCheckBox, SimpleRadioButton, SubmitButton, SuggestBox, TextArea, TextBox, TextBoxBase, ToggleButton, Tree, ValueBox, ValueBoxBase, Video

Deprecated. use `HasAllKeyHandlers` instead

    @Deprecated
    public interface SourcesKeyboardEvents

A widget that implements this interface sources the events defined by the `KeyboardListener` interface.

Method Summary
`void` | `addKeyboardListener(KeyboardListener listener)` Deprecated. use addKeyPressHandler/addKeyDownKeyDownHandler/addKeyUpHandler instead
`void` | `removeKeyboardListener(KeyboardListener listener)` Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by an add*Handler method instead

Method Detail

### addKeyboardListener

    @Deprecated
    void addKeyboardListener(KeyboardListener listener)

  Deprecated. use addKeyPressHandler/addKeyDownKeyDownHandler/addKeyUpHandler instead

  Adds a listener interface to receive keyboard events.

  Parameters:
    `listener` - the listener interface to add

### removeKeyboardListener

    @Deprecated
    void removeKeyboardListener(KeyboardListener listener)

  Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by an add*Handler method instead

  Removes a previously added listener interface.

  Parameters:
    `listener` - the listener interface to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD